RubyGems Navigation menu

insta_scrape 1.1.2

A ruby scraper for instagram in 2016. Because the hashtag deprecation in the API is just silly. This gem is dependent on Capybara, PhantomJS, and Poltergeist. v.1.1.0 -- Introducing long_scrape methods! Get thousands of photo results on hashtags and full user profiles with ALL posts! See the documentation for API usage.

Versions:

  1. 1.1.4 - June 27, 2017 (10.5 KB)
  2. 1.1.3 - June 07, 2017 (50 KB)
  3. 1.1.2 - January 26, 2017 (11.5 KB)
  4. 1.1.1 - December 14, 2016 (11.5 KB)
  5. 1.1.0 - June 13, 2016 (11 KB)
Show all versions (8 total)

Runtime Dependencies (3):

  • capybara >= 2.7.1, ~> 2.7.1
  • phantomjs >= 2.1.1.0, ~> 2.1.1.0
  • poltergeist >= 1.9.0, ~> 1.9.0
  • Development Dependencies (6):

  • bundler ~> 1.11
  • capybara >= 2.7.1, ~> 2.7.1
  • phantomjs >= 2.1.1.0, ~> 2.1.1.0
  • poltergeist >= 1.9.0, ~> 1.9.0
  • rake ~> 10.0
  • rspec ~> 3.0
  • Owners:

    Authors:

    • dannyvassallo

    SHA 256 checksum:

    e2ea1f2e5bc8038ce97e61576338b219d9c804b3c8a6420b6f3c2bb8b7a89737

    Total downloads 14,352

    For this version 1,468

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: